---
title: meta
created: Tue, 23 Jul 2022 20:32:23 -0600
updated: Tue, 23 Jul 2022 20:32:23 -0600
syndicated: yes
public: yes
---
### META

This might be a good time to introduce the game mechanic.

For the most part, if you say you do something, it just happens.

But if you want to do something risky, and/or if the outcome is uncertain, you can roll a number of six-sided dice.

I'd like to try using the *Shoes in the Dark* rules:

https://dozens.itch.io/shoes-in-the-dark

Basically, everybody currently has the skill "Do Anything 1", which means if you want to 'do anything', you can roll 1 die.

On a 1 - 3, things go poorly. (And you gain 1 experience point. More on that in a bit.)

On a 4 - 5, you do the thing, but at a cost, or with a complication, or it's just a partial success.

On a 6, full success!! Yay, you!!

(When rolling multiple dice, you read the single highest roll.)

Here's where stuff gets fun. If you roll all sixes (so, 1 six on a 1d6 roll, 2 sixes on a 2d6 roll, etc.) then you 'level up' and get a new skill. The new skill A) is a subset of the skill/action you just performed and, B) increases that skill by one.

e.g. I challenge a mugwump to a pie eating contest and roll Do Anything 1. I roll a six, so I win the contest! And also I gain a new skill, Belly Of Steel 2.

Finally, every time you fail a roll (by rolling 1 - 3) you gain 1 experience point. You can spend 1 experience at any time to turn any one die into a six *for the purposes of advancement*.

SO WHAT DOES THIS ALL MEAN???

When you interact with the blahoblins, consider whether there is an element of risk. If so, roll the appropriate amount of dice (1, in this case) and include the result in your description. If it's a success, describe the success. If it's a partial success or a failure, just describe what you do, and I'll describe the complication, or how things get worse.

[www](https://framalistes.org/sympa/arc/tildepals/2022-07/msg00023.html)

